PublishOptions
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.publish
Class PublishOptions

    java.lang.Object
      org.apache.ivy.core.publish.PublishOptions

    public class PublishOptions

extends java.lang.Object

A set of options used during publish related tasks The publish can update the ivy file to publish if update is set to true. In this case it will use the given pubrevision, pubdate and status. If pudate is null it will default to the current date. If status is null it will default to the current ivy file status (which itself defaults to integration if none is found). If update is false, then if the revision is not the same in the ivy file than the one expected (given as parameter), this method will fail with an IllegalArgumentException. pubdate and status are not used if update is false. extra artifacts can be used to publish more artifacts than actually declared in the ivy file. This can be useful to publish additional metadata or reports. The extra artifacts array can be null (= no extra artifacts), and if non null only the name, type, ext url and extra attributes of the artifacts are really used. Other methods (on the artifacts) can return null safely.

See Also:
  `PublishEngine`

Constructor Summary
`PublishOptions()`

Method Summary
`java.lang.String[]` | `getConfs()`
`Artifact[]` | `getExtraArtifacts()`
`java.lang.String` | `getPubBranch()`
`java.util.Date` | `getPubdate()`
`java.lang.String` | `getPubrevision()`
`java.lang.String` | `getSrcIvyPattern()`
`java.lang.String` | `getStatus()`
`boolean` | `isHaltOnMissing()`
`boolean` | `isMerge()`
`boolean` | `isOverwrite()`
`boolean` | `isUpdate()`
`boolean` | `isValidate()`
`boolean` | `isWarnOnMissing()`
`PublishOptions` | `setConfs(java.lang.String[] confs)`
`PublishOptions` | `setExtraArtifacts(Artifact[] extraArtifacts)`
`PublishOptions` | `setHaltOnMissing(boolean haltonmissing)`
`PublishOptions` | `setMerge(boolean merge)`
`PublishOptions` | `setOverwrite(boolean overwrite)`
`PublishOptions` | `setPubbranch(java.lang.String pubbranch)`
`PublishOptions` | `setPubdate(java.util.Date pubdate)`
`PublishOptions` | `setPubrevision(java.lang.String pubrevision)`
`PublishOptions` | `setSrcIvyPattern(java.lang.String srcIvyPattern)`
`PublishOptions` | `setStatus(java.lang.String status)`
`PublishOptions` | `setUpdate(boolean update)`
`PublishOptions` | `setValidate(boolean validate)`
`PublishOptions` | `setWarnOnMissing(boolean warnonmissing)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishOptions

    public PublishOptions()

Method Detail

### getConfs

    public java.lang.String[] getConfs()

### setConfs

    public PublishOptions setConfs(java.lang.String[] confs)

### getExtraArtifacts

    public Artifact[] getExtraArtifacts()

### setExtraArtifacts

    public PublishOptions setExtraArtifacts(Artifact[] extraArtifacts)

### isOverwrite

    public boolean isOverwrite()

### setOverwrite

    public PublishOptions setOverwrite(boolean overwrite)

### getPubdate

    public java.util.Date getPubdate()

### setPubdate

    public PublishOptions setPubdate(java.util.Date pubdate)

### getPubrevision

    public java.lang.String getPubrevision()

### setPubrevision

    public PublishOptions setPubrevision(java.lang.String pubrevision)

### getSrcIvyPattern

    public java.lang.String getSrcIvyPattern()

### setSrcIvyPattern

    public PublishOptions setSrcIvyPattern(java.lang.String srcIvyPattern)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public PublishOptions setStatus(java.lang.String status)

### isUpdate

    public boolean isUpdate()

### setUpdate

    public PublishOptions setUpdate(boolean update)

### isMerge

    public boolean isMerge()

### setMerge

    public PublishOptions setMerge(boolean merge)

### isValidate

    public boolean isValidate()

### setValidate

    public PublishOptions setValidate(boolean validate)

### isHaltOnMissing

    public boolean isHaltOnMissing()

### setHaltOnMissing

    public PublishOptions setHaltOnMissing(boolean haltonmissing)

### getPubBranch

    public java.lang.String getPubBranch()

### setPubbranch

    public PublishOptions setPubbranch(java.lang.String pubbranch)

### isWarnOnMissing

    public boolean isWarnOnMissing()

### setWarnOnMissing

    public PublishOptions setWarnOnMissing(boolean warnonmissing)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD